#!/usr/bin/sh

dir="/opt/privx/bin"
name=`basename $0 .sh`
stdout_log="/var/log/privx/$name.log"
stderr_log="/var/log/privx/$name.log"
loglevel=`echo ${SSH_LOG_LEVEL:-${DEFAULT_LOG_LEVEL:-INFO}}`
tracelevel=`echo ${SSH_TRACE:-${DEFAULT_TRACE:-0}}`

case "$1" in
    run)
    cd "$dir"
    echo "Starting $name"
    SSH_LOG_LEVEL=$loglevel SSH_TRACE=$tracelevel /opt/privx/bin/privx-extender -run >> "$stdout_log" 2>> "$stderr_log"
    code=$?
    echo "$name exited"
    exit $code
    ;;
    start|stop|restart|status)
    echo "Use systemctl $1 $name"
    exit 1
    ;;
    *)
    echo "Usage: $0 run"
    exit 1
    ;;
esac

exit 0
